<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/12/2003 *
 * ===================                          Last change: 10/16/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : img.php                                          *
 * -------------------------------------------------------------------- *
 * Short description : Image code for multi-purposes                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Code-Bild fuer verschiedene Zwecke               *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here
require('inc/libs/security_functions.php');

// Init start time
$GLOBALS['__start_time'] = microtime(true);

// Set module and output mode
$GLOBALS['__module']      = 'img';
$GLOBALS['__output_mode'] = -3;

// Load the required file(s)
require('inc/config-global.php');

// Load header
loadIncludeOnce('inc/header.php');

// Code set?
if (isGetRequestElementSet('code')) {
	// Generate image
	generateImageOrCode(bigintval(getRequestElement('code')));
} elseif (isGetRequestElementSet('img')) {
	// 'img' set so create the IFN (Include-FileName)
	$inc = sprintf("inc/img/tag-%s.php",
		getRequestElement('img')
	);

	// Include is readable?
	if (isIncludeReadable($inc)) {
		// Include it
		loadInclude($inc);
	} // END - if
}

// Finish generation here
loadIncludeOnce('inc/footer.php');

// [EOF]
?>
