<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 05/12/2011 *
 * ===================                          Last change: 05/12/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-add_tester_user.php                         *
 * -------------------------------------------------------------------- *
 * Short description : Easy creation of tester accounts and their refs  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Einfaches Anlegen von Testbenutzern + Referrals  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Is the form sent or something did go wrong?
if (!isNewUserTesterAllowed()) {
	// No more accounts allowed to create (maximum reached)
	displayMessage('{--ADMIN_MAXIMUM_USER_TESTER_REACHED--}');

	// Abort here
	return;
} elseif (isFormSent()) {
	// Yes, so try to create the tester account
	if (createTesterUserAccount()) {
		// Account has been created
		displayMessage('{--ADMIN_TESTER_USER_ACCOUNT_CREATION_DONE--}');
	} else {
		// Account not created
		displayMessage('{--ADMIN_TESTER_USER_ACCOUNT_CREATION_FAILED--}');
	}
} // END - if

// Generate max-receive selection
$content['max_receive_selection'] = addMaxReceiveList('admin', '', true);

// Display form
loadTemplate('admin_add_tester_user', false, $content);

// [EOF]
?>
