<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/12/2004 *
 * ===================                          Last change: 09/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-optimize.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Optimize and repair database                     *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Datenbank optimieren und reparieren              *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Optimize and repair database and return the result as a multi-dimensional array
$content = repairOptimizeDatabase();

// Output rows
$gain_tabs = '0'; $OUT = '';
foreach ($content['tables'] as $row_array) {
	// Init variables
	$B1 = ''; $B2 = '';

	// Fixes a bug which causes a parser error on eval'd code
	if (empty($row_array[1])) $row_array[1] = 'NONE';

	// Get repair/optimization status
	$repairStatus = '{--ADMIN_OPTIMIZE_STATUS_' . str_replace(array('__', ',', '+', chr(39), ' '), array('_', '', '', '', '_'), strtoupper($row_array[1])) . '--}';
	$optimizeStatus = '{--ADMIN_OPTIMIZE_STATUS_UNSUPPORTED--}';

	if ($row_array[4] > 0) {
		$optimizeStatus = '{--ADMIN_OPTIMIZE_STATUS_OPTIMIZED--}';
		$B1 = '<strong>'; $B2 = '<strong>';
		$gain_tabs++;
	} elseif (count(explode(' ', $row_array[2])) == 0) {
		$optimizeStatus = '{--ADMIN_OPTIMIZE_STATUS_' . strtoupper($row_array[2]) . '--}';
	}

	// Prepare data for the row template
	$row = array(
		'b1'  => $B1,
		'b2'  => $B2,
		'tpl' => $row_array[0],
		'rep' => $repairStatus,
		'opt' => $optimizeStatus,
		'sum' => $row_array[3],
		'sav' => $row_array[4],
	);

	// Load row template and switch color
	$OUT .= loadTemplate('admin_optimize_row', true, $row);
} // END - foreach

// Remember rows
$content['rows'] = $OUT;

// Transfer data to $content for template
$content['now_optimized'] = $gain_tabs;

// Load main template
loadTemplate('admin_optimize', false, $content);

// [EOF]
?>
